Vulnerability   
Search   
    Search 219043 CVE descriptions
and 99761 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.870687
Category:Red Hat Local Security Checks
Title:RedHat Update for libvirt RHSA-2011:1197-01
Summary:The remote host is missing an update for the 'libvirt'; package(s) announced via the referenced advisory.
Description:Summary:
The remote host is missing an update for the 'libvirt'
package(s) announced via the referenced advisory.

Vulnerability Insight:
The libvirt library is a C API for managing and interacting with the
virtualization capabilities of Linux and other operating systems. In
addition, libvirt provides tools for remotely managing virtualized systems.

An integer overflow flaw was found in libvirtd's RPC call handling. An
attacker able to establish read-only connections to libvirtd could trigger
this flaw by calling virDomainGetVcpus() with specially-crafted parameters,
causing libvirtd to crash. (CVE-2011-2511)

This update also fixes the following bugs:

* Previously, when the 'virsh vol-create-from' command was run on an LVM
(Logical Volume Manager) storage pool, performance of the command was very
low and the operation consumed an excessive amount of time. This bug has
been fixed in the virStorageVolCreateXMLFrom() function, and the
performance problem of the command no longer occurs.

* Due to a regression, libvirt used undocumented command line options,
instead of the recommended ones. Consequently, the qemu-img utility used an
invalid argument while creating an encrypted volume, and the process
eventually failed. With this update, the bug in the backing format of the
storage back end has been fixed, and encrypted volumes can now be created
as expected. (BZ#726617)

* Due to a bug in the qemuAuditDisk() function, hot unplug failures were
never audited, and a hot unplug success was audited as a failure. This bug
has been fixed, and auditing of disk hot unplug operations now works as
expected. (BZ#728516)

* Previously, when a debug process was being activated, the act of
preparing a debug message ended up with dereferencing a UUID (universally
unique identifier) prior to the NULL argument check. Consequently, an API
running the debug process sometimes terminated with a segmentation fault.
With this update, a patch has been provided to address this issue, and the
crashes no longer occur in the described scenario. (BZ#728546)

* The libvirt library uses the 'boot=on' option to mark which disk is
bootable but it only uses that option if Qemu advertises its support. The
qemu-kvm utility in Red Hat Enterprise Linux 6.1 removed support for that
option and libvirt could not use it. As a consequence, when an IDE disk was
added as the second storage with a virtio disk being set up as the first
one by default, the operating system tried to boot from the IDE disk rather
than the virtio disk and either failed to boot w ...

Description truncated, please see the referenced URL(s) for more information.

Affected Software/OS:
libvirt on Red Hat Enterprise Linux Desktop (v. 6),
Red Hat Enterprise Linux Server (v. 6),
Red Hat Enterprise Linux Workstation (v. 6)

Solution:
Please Install the Updated Packages.

CVSS Score:
4.0

CVSS Vector:
AV:N/AC:L/Au:S/C:N/I:N/A:P

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2011-2511
Debian Security Information: DSA-2280 (Google Search)
http://www.debian.org/security/2011/dsa-2280
http://lists.fedoraproject.org/pipermail/package-announce/2011-July/062855.html
http://lists.fedoraproject.org/pipermail/package-announce/2011-July/062515.html
https://www.redhat.com/archives/libvir-list/2011-June/msg01278.html
http://www.openwall.com/lists/oss-security/2011/06/28/9
http://www.redhat.com/support/errata/RHSA-2011-1019.html
http://www.redhat.com/support/errata/RHSA-2011-1197.html
http://www.securitytracker.com/id?1025822
http://secunia.com/advisories/45375
http://secunia.com/advisories/45441
http://secunia.com/advisories/45446
SuSE Security Announcement: SUSE-SU-2011:0837 (Google Search)
https://hermes.opensuse.org/messages/10027908
http://www.ubuntu.com/usn/USN-1180-1
XForce ISS Database: libvirt-virdomaingetvcpus-bo(68271)
https://exchange.xforce.ibmcloud.com/vulnerabilities/68271
CopyrightCopyright (c) 2012 Greenbone Networks GmbH

This is only one of 99761 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2021 E-Soft Inc. All rights reserved.